org.h2.samples

## Class TriggerSample.MyTrigger

- java.lang.Object
- - org.h2.samples.TriggerSample.MyTrigger

All Implemented Interfaces:
  Trigger

Enclosing class:
  TriggerSample

    public static class TriggerSample.MyTrigger
    extends java.lang.Object
    implements Trigger

This class is a simple trigger implementation.

### Field Summary

### Fields inherited from interface org.h2.api.Trigger

`DELETE, INSERT, SELECT, UPDATE`

### Constructor Summary

Constructors
Constructor and Description
`MyTrigger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` This method is called when the database is closed.
`void` `fire(java.sql.Connection conn, java.lang.Object[] oldRow, java.lang.Object[] newRow)` This method is called for each triggered action.
`void` `init(java.sql.Connection conn, java.lang.String schemaName, java.lang.String triggerName, java.lang.String tableName, boolean before, int type)` Initializes the trigger.
`void` `remove()` This method is called when the trigger is dropped.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyTrigger

    public MyTrigger()

### Method Detail

#### init

    public void init(java.sql.Connection conn,
                     java.lang.String schemaName,
                     java.lang.String triggerName,
                     java.lang.String tableName,
                     boolean before,
                     int type)

Initializes the trigger.

Specified by:
  `init` in interface `Trigger`
Parameters:
  `conn` - a connection to the database
  `schemaName` - the name of the schema
  `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
  `tableName` - the name of the table
  `before` - whether the fire method is called before or after the operation is performed
  `type` - the operation type: INSERT, UPDATE, or DELETE

#### fire

    public void fire(java.sql.Connection conn,
                     java.lang.Object[] oldRow,
                     java.lang.Object[] newRow)
              throws java.sql.SQLException

This method is called for each triggered action.

Specified by:
  `fire` in interface `Trigger`
Parameters:
  `conn` - a connection to the database
  `oldRow` - the old row, or null if no old row is available (for INSERT)
  `newRow` - the new row, or null if no new row is available (for DELETE)
Throws:
  `java.sql.SQLException` - if the operation must be undone

#### close

    public void close()

Description copied from interface: `Trigger`
This method is called when the database is closed. If the method throws an exception, it will be logged, but closing the database will continue.

Specified by:
  `close` in interface `Trigger`

#### remove

    public void remove()

Description copied from interface: `Trigger`
This method is called when the trigger is dropped.

Specified by:
  `remove` in interface `Trigger`